-- NOT gate; combinational circuit

library ieee;
use ieee.std_logic_1164.all;

entity NOTgate is
  port (X : in std_logic; 
        Y : out std_logic
  );
end NOTgate;

architecture NOTgate_arch of NOTgate is
begin
  Y <= not X;
end NOTgate_arch;
